package com.ff.base.enums;

import lombok.Getter;

/**
 * 活动循环方式
 *
 * @author liukang
 */
@Getter
public enum ActivityLoopType {

    /**
     * 循环方式 1.每日循环(00:00重置) 2.每周循环(周一00:00重置) 3.每月循环(每月1日00:00重置)
     */
    LOOPTYPE_1("1", "每日循环(00:00重置)"),
    LOOPTYPE_2("2", "每周循环(周一00:00重置)"),
    LOOPTYPE_3("3", "每月循环(每月1日00:00重置)");

    private final String code;
    private final String info;

    ActivityLoopType(String code, String info) {
        this.code = code;
        this.info = info;
    }
}
